function mostra(divisao){
	divisao.style.display="block";
}

function mostraId(divisao){
	document.getElementById(divisao).style.display="block";
}

function escondeId(divisao){
	document.getElementById(divisao).style.display="none";
}

function esconde(divisao){
	divisao.style.display="none";
}

function removeChildrenFromNode(node)
{
	while (node.hasChildNodes())
	{
		node.removeChild(node.firstChild);
	}
}

function limpa(node){
	removeChildrenFromNode(node);
}

function limpaId(node){
	removeChildrenFromNode(document.getElementById(node));
}

function obtem(node){
	return document.getElementById(node);
}


function setValor(campo, valor){
	campo.value=valor;
}

function desligaTimer(xTimer){
	if (typeof xTimer != "undefined"){
		clearTimeout(xTimer);
	}
}

function pinta(xElemento, xCor){
	xElemento.style.backgroundColor=xCor;
}

function pintaId(xElemento, xCor){
	document.getElementById(xElemento).style.backgroundColor=xCor;
}

function chr(x){
	return String.fromCharCode(x);
}

function pintaThis(xElemento, xCor){
	xElemento.style.backgroundColor=xCor;
}

function insereTexto(campo, texto){
	removeChildrenFromNode(campo);
	campo.appendChild(document.createTextNode(texto));
}

function insereTextoId(campoId, texto){
	campo=document.getElementById(campoId);
	removeChildrenFromNode(campo);
	campo.appendChild(document.createTextNode(texto));
}

function apagaTexto(campo){
	removeChildrenFromNode(campo);
}

function apagaTextoId(campoId){
	campo=document.getElementById(campoId);
	removeChildrenFromNode(campo);
}

function pulaLinha(campo){
	campo.appendChild(document.createElement('br'));
}

function pulaLinhaId(campoId){
	campo=document.getElementById(campoId);
	campo.appendChild(document.createElement('br'));
}

function adicionaTexto(campo, texto){
	campo.appendChild(document.createTextNode(texto));
}

function adicionaTextoId(campoId, texto){
	campo=document.getElementById(campoId);
	campo.appendChild(document.createTextNode(texto));
}

function msRandom(inicio,fim){
	return Math.floor(Math.random()*(fim-inicio+1)+inicio);
}

function getPhoneGapPath() {
    var path = window.location.pathname;
    path = path.substr( path, path.length - 10 );
    return 'file://' + path;
}

function doOnOrientationChange(){
	if(0){
	switch(window.orientation){
    	case -90:
		case 90:
        	goLandscape();
        	break; 
		default:
        	goPortrait();
        	break; 
 	}
 	}
}

function goLandscape(){
	var divs = document.getElementsByTagName("div");
	for(var i = 0; i < divs.length; i++) {
    	if(divs[i].id.indexOf('DOrP')!=-1) {
        	divs[i].style.display="none";
    	}
    	else if (divs[i].id.indexOf('DOrL')!=-1) {
        	divs[i].style.display="block";
   		}
	}
}

function goPortrait(){
	var divs = document.getElementsByTagName("div");
	for(var i = 0; i < divs.length; i++) {
    	if(divs[i].id.indexOf('DOL')!=-1) {
        	divs[i].style.display="none";
    	}
    	else if (divs[i].id.indexOf('DOP')!=-1) {
        	divs[i].style.display="block";
   		}
	}
}

function changeSelect(xId, xValue){
	var el = obtem(xId);
	for (var i = 0; i < el.options.length; i++) {
		if (el.options[i].value.toString() == xValue.toString()) {
			el.selectedIndex = i;
			break;
		}
	}
}

function fisherYates ( myArray ) {
  var i = myArray.length, j, temp;
  if ( i === 0 ) return false;
  while ( --i ) {
     j = Math.floor( Math.random() * ( i + 1 ) );
     temp = myArray[i];
     myArray[i] = myArray[j]; 
     myArray[j] = temp;
   }
}

function imageResize(imagem, tamanho){
	imagem.height=tamanho;
	imagem.width=tamanho;
}

function console(xTexto){
	adicionaTextoId("divconsole", xTexto+" ");
}

function bip(){
	if (flagBip){
		clickSound.play();
	}
}

function fivi(){
	if (flagFivi){
		fiviSound.play();
	}
}

function formataData(d){
	var dia=d.getDate();
	var mes=d.getMonth()+1;
	if (mes<10) mes="0"+mes;
	var ano=d.getFullYear();
	return dia+"/"+mes+"/"+ano;
}
